KSSLX509V3 Class Reference

`#include <ksslx509v3.h>`

## Public Member Functions

| ~KSSLX509V3 ()
bool | certTypeCA ()
bool | certTypeSSLCA ()
bool | certTypeEmailCA ()
bool | certTypeCodeCA ()
bool | certTypeSSLClient ()
bool | certTypeSSLServer ()
bool | certTypeNSSSLServer ()
bool | certTypeSMIME ()
bool | certTypeSMIMEEncrypt ()
bool | certTypeSMIMESign ()
bool | certTypeCRLSign ()

## Protected Attributes

long | flags

## Friends

class | KSSLCertificate
class | KSSLCertificatePrivate

## Detailed Description

KDE X509v3 Flag Class.

This class is used to track X509v3 flags for

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KExtendedSocket, TCPSlaveBase KDE SSL Class

Definition at line 38 of file ksslx509v3.h.

## Constructor & Destructor Documentation

KSSLX509V3::~KSSLX509V3 | ( |  | ) |

Destroy this object.

Definition at line 35 of file ksslx509v3.cc.

## Member Function Documentation

bool KSSLX509V3::certTypeCA | ( |  | ) |

Determine if this certificate can be used by a certificate authority.

Returns
  true if it can be used by a certificate authority

Definition at line 43 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeCodeCA | ( |  | ) |

Determine if this certificate can be used by a code certificate signer.

Returns
  true if it can be used by a code certificate signer

Definition at line 77 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeCRLSign | ( |  | ) |

Determine if this certificate can be used for revocation signing.

Returns
  true if it can be used for revocation signing

Definition at line 133 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeEmailCA | ( |  | ) |

Determine if this certificate can be used by an S/MIME signer.

Returns
  true if it can be used by an S/MIME signer

Definition at line 66 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeNSSSLServer | ( |  | ) |

Determine if this certificate can be used by a Netscape SSL server.

Returns
  true if it can be used by a Netscape SSL server

Definition at line 101 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeSMIME | ( |  | ) |

Determine if this certificate can be used for S/MIME.

Returns
  true if it can be used for S/MIME

Definition at line 109 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeSMIMEEncrypt | ( |  | ) |

Determine if this certificate can be used for S/MIME encryption.

Returns
  true if it can be used for S/MIME encryption

Definition at line 117 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeSMIMESign | ( |  | ) |

Determine if this certificate can be used for S/MIME signing.

Returns
  true if it can be used for S/MIME signing

Definition at line 125 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeSSLCA | ( |  | ) |

Determine if this certificate can be used by an SSL signer.

Returns
  true if it can be used by an SSL signer

Definition at line 52 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeSSLClient | ( |  | ) |

Determine if this certificate can be used by an SSL client.

Returns
  true if it can be used by an SSL client

Definition at line 85 of file ksslx509v3.cc.

bool KSSLX509V3::certTypeSSLServer | ( |  | ) |

Determine if this certificate can be used by an SSL server.

Returns
  true if it can be used by an SSL server

Definition at line 93 of file ksslx509v3.cc.

The documentation for this class was generated from the following files:

- ksslx509v3.h
- ksslx509v3.cc

KDE Home | KDE Accessibility Home | Description of Access Keys